Debian Bug report logs - #476206
find warning

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Joey Hess <joeyh@debian.org>

Date: Tue, 15 Apr 2008 03:24:14 UTC

Severity: normal

Found in version live-helper/1.0~a43-1

Fixed in version live-helper/1.0~a44-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#476206; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: find warning
Date: Mon, 14 Apr 2008 23:23:22 -0400
[Message part 1 (text/plain, inline)]
Package: live-helper
Version: 1.0~a43-1
Severity: normal

Saw these find warnings when running ld_build:

P: Begin creating binary md5sum.txt...
find: warning: Unix filenames usually don't contain slashes (though pathnames do).  That means that '-name `isolinux/isolinux.bin'' will probably evaluate to false all the time on this system.  You might find the '-wholename' test more useful, or perhaps '-samefile'.  Alternatively, if you are using GNU grep, you could use 'find ... -print0 | grep -FzZ `isolinux/isolinux.bin''.
find: warning: Unix filenames usually don't contain slashes (though pathnames do).  That means that '-name `boot/grub/stage2_eltorito'' will probably evaluate to false all the time on this system.  You might find the '-wholename' test more useful, or perhaps '-samefile'.  Alternatively, if you are using GNU grep, you could use 'find ... -print0 | grep -FzZ `boot/grub/stage2_eltorito''.
P: Begin building binary iso image...

-- Package-specific info:

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  debootstrap                   1.0.8      Bootstrap a basic Debian system

live-helper recommends no packages.

-- no debconf information

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 476206-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 476206-close@bugs.debian.org
Subject: Bug#476206: fixed in live-helper 1.0~a44-1
Date: Wed, 16 Apr 2008 08:47:03 +0000
Source: live-helper
Source-Version: 1.0~a44-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_1.0~a44-1.diff.gz
  to pool/main/l/live-helper/live-helper_1.0~a44-1.diff.gz
live-helper_1.0~a44-1.dsc
  to pool/main/l/live-helper/live-helper_1.0~a44-1.dsc
live-helper_1.0~a44-1_all.deb
  to pool/main/l/live-helper/live-helper_1.0~a44-1_all.deb
live-helper_1.0~a44.orig.tar.gz
  to pool/main/l/live-helper/live-helper_1.0~a44.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 476206@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 14 Apr 2008 00:00:00 +0200
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 1.0~a44-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live-maint@lists.alioth.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 470683 476204 476206
Changes: 
 live-helper (1.0~a44-1) unstable; urgency=medium
 .
   [ Chris Lamb ]
   * lh_chroot_linux-image: Catch missing case in local live-initramfs
     handling
   * helpers/lh_config, functions/defaults.sh: Correct "boostrap" ->
     "bootstrap"
   * lh_binary_debian-installer: Add dependency on 'wget'
   * Don't install "Recommends:" when installing local tools
   * Fix a number of issues with Syslinux templates (Closes: #476204)
   * Use "find -path" for matching "path/to/file" files (Closes: #476206)
   * Fix quoting when installing local packages (Closes: #470683)
   * Fix typo in policy-rc.d
 .
   [ Daniel Baumann ]
   * Updating oot example hooks to loop through all install kernel
     flavours.
   * Sorting image file lists.
   * Consistenly using short options rather than long options in function
     files.
   * Improving .deb caching by using hardlinks (if possible).
   * Creating binary and source file lists in build directory.
   * Also copying binary package list to build directory.
   * Also adding a packages.txt when building etch images, although there
     is a casper/filesystem.manifest already.
Checksums-Sha1: 
 fb339fe91885796c7abfca7b183b0254d6e750a1 1258 live-helper_1.0~a44-1.dsc
 fff0b6fd364ba497e331b0d38ad32c7c35f394dc 1937850 live-helper_1.0~a44.orig.tar.gz
 5752d23039bc7b16f53816d674b1285bbe431565 12913 live-helper_1.0~a44-1.diff.gz
 4e6e7fd2480c903716f7e6ba580935626753e121 1884184 live-helper_1.0~a44-1_all.deb
Checksums-Sha256: 
 13cd1b2de9987007247670a6cb069aef6d6bbb31ddbd53755ff5d6e1565e6b5f 1258 live-helper_1.0~a44-1.dsc
 b58e45ce468fd144703dcfc566f0df044cd860d32be0caaab62426a2ce3a4363 1937850 live-helper_1.0~a44.orig.tar.gz
 52bfd80492902fff89f755aebe3ce805f10dfdd9c2f8b4c02a8ef8642434acfd 12913 live-helper_1.0~a44-1.diff.gz
 876f60983f968558153b1043e1402035f35c227b26ce9f963bb748409f959f09 1884184 live-helper_1.0~a44-1_all.deb
Files: 
 5bf95dfadf5c78b3f48ac72bf706d1ed 1258 misc optional live-helper_1.0~a44-1.dsc
 8a053e1a3c32e5a96c28586913d9b38e 1937850 misc optional live-helper_1.0~a44.orig.tar.gz
 a2c366bcc6264a73ade62a9d76f70c34 12913 misc optional live-helper_1.0~a44-1.diff.gz
 eeb0054c9a0c50ab37d863554d7cdf7d 1884184 misc optional live-helper_1.0~a44-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIBbc++C5cwEsrK54RAvRcAKC+GViMWv6BqrzjhXfc7KKvLPDrPgCeLj04
XqTNX0fFdFcWFxD8pLcqet4=
=FWnf
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:33:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:15:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.